Bug 140471 - smbmount errors with undefined symbol
smbmount errors with undefined symbol
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 18:29 EST by Alex Weeks
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 14:20:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Weeks 2004-11-22 18:29:38 EST
I am using RH Fedora Core 2, samba-3.0.7-2.FC2

When I try to run smbmount I get the following error:

[aweeks@aweeks-laptop aweeks]$ smbmount {Options removed}
smbmount: error while loading shared libraries:
/usr/lib/samba/charset/CP850.so: undefined symbol: smb_register_charset

Here is the output of an strace:

execve("/usr/bin/smbmount", ["smbmount"], [/* 41 vars */]) = 0
uname({sys="Linux", node="aweeks-laptop", ...}) = 0
brk(0)                                  = 0x92f0000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/usr/X11R6/lib/tls/i686/sse2/libcrypt.so.1", O_RDONLY) = -1
ENOENT (No such file or directory)
stat64("/usr/X11R6/lib/tls/i686/sse2", 0xfef12b20) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/tls/i686/libcrypt.so.1", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat64("/usr/X11R6/lib/tls/i686", 0xfef12b20) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/tls/sse2/libcrypt.so.1", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat64("/usr/X11R6/lib/tls/sse2", 0xfef12b20) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/tls/libcrypt.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat64("/usr/X11R6/lib/tls", {st_mode=S_IFDIR|0755, st_size=4096,
...}) = 0
open("/usr/X11R6/lib/i686/sse2/libcrypt.so.1", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat64("/usr/X11R6/lib/i686/sse2", 0xfef12b20) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/i686/libcrypt.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat64("/usr/X11R6/lib/i686", 0xfef12b20) = -1 ENOENT (No such file or
directory)
open("/usr/X11R6/lib/sse2/libcrypt.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat64("/usr/X11R6/lib/sse2", 0xfef12b20) = -1 ENOENT (No such file or
directory)
open("/usr/X11R6/lib/libcrypt.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat64("/usr/X11R6/lib", {st_mode=S_IFDIR|0755, st_size=12288, ...}) = 0
open("/usr/X11R6/lib/modules/tls/i686/sse2/libcrypt.so.1", O_RDONLY) =
-1 ENOENT (No such file or directory)
stat64("/usr/X11R6/lib/modules/tls/i686/sse2", 0xfef12b20) = -1 ENOENT
(No such file or directory)
open("/usr/X11R6/lib/modules/tls/i686/libcrypt.so.1", O_RDONLY) = -1
ENOENT (No such file or directory)
stat64("/usr/X11R6/lib/modules/tls/i686", 0xfef12b20) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/modules/tls/sse2/libcrypt.so.1", O_RDONLY) = -1
ENOENT (No such file or directory)
stat64("/usr/X11R6/lib/modules/tls/sse2", 0xfef12b20) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/modules/tls/libcrypt.so.1", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat64("/usr/X11R6/lib/modules/tls", 0xfef12b20) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/i686/sse2/libcrypt.so.1", O_RDONLY) = -1
ENOENT (No such file or directory)
stat64("/usr/X11R6/lib/modules/i686/sse2", 0xfef12b20) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/modules/i686/libcrypt.so.1", O_RDONLY) = -1
ENOENT (No such file or directory)
stat64("/usr/X11R6/lib/modules/i686", 0xfef12b20) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/sse2/libcrypt.so.1", O_RDONLY) = -1
ENOENT (No such file or directory)
stat64("/usr/X11R6/lib/modules/sse2", 0xfef12b20) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/libcrypt.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat64("/usr/X11R6/lib/modules", {st_mode=S_IFDIR|0755, st_size=4096,
...}) = 0
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=74124, ...}) = 0
old_mmap(NULL, 74124, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6fed000
close(3)                                = 0
open("/lib/libcrypt.so.1", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\207"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=28408, ...}) = 0
old_mmap(NULL, 180540, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x6b7000
old_mmap(0x6bb000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x4000) = 0x6bb000
old_mmap(0x6bd000, 155964, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x6bd000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libresolv.so.2", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/libresolv.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/libresolv.so.2", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/lib/libresolv.so.2", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\27"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=76652, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6fec000
old_mmap(NULL, 76232, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x111000
old_mmap(0x120000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0xe000) = 0x120000
old_mmap(0x122000, 6600, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x122000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libnsl.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/libnsl.so.1", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("/usr/X11R6/lib/modules/libnsl.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/lib/libnsl.so.1", O_RDONLY)      = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p*9\000"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=96188, ...}) = 0
old_mmap(NULL, 84192, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x124000
old_mmap(0x135000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x11000) = 0x135000
old_mmap(0x137000, 6368, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x137000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libdl.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("/usr/X11R6/lib/modules/libdl.so.2", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\330"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=16708, ...}) = 0
old_mmap(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x1b2000
old_mmap(0x1b4000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x1000) = 0x1b4000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libgssapi_krb5.so.2", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/X11R6/lib/libgssapi_krb5.so.2", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/modules/libgssapi_krb5.so.2", O_RDONLY) = -1
ENOENT (No such file or directory)
open("/usr/lib/libgssapi_krb5.so.2", O_RDONLY) = 3
read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`k\336\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=86532, ...}) = 0
old_mmap(NULL, 83860, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x25c000
old_mmap(0x270000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x14000) = 0x270000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libkrb5.so.3", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/libkrb5.so.3", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/libkrb5.so.3", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/lib/libkrb5.so.3", O_RDONLY) = 3
read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\t\21\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=427444, ...}) = 0
old_mmap(NULL, 425256, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xd3b000
old_mmap(0xda1000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x66000) = 0xda1000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libk5crypto.so.3", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/libk5crypto.so.3", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/libk5crypto.so.3", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/lib/libk5crypto.so.3", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\202"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=140140, ...}) = 0
old_mmap(NULL, 138656, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xc01000
old_mmap(0xc22000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x21000) = 0xc22000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libcom_err.so.2", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/libcom_err.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/libcom_err.so.2", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/lib/libcom_err.so.2", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\10"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=7100, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6feb000
old_mmap(NULL, 8732, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x4f6000
old_mmap(0x4f8000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x1000) = 0x4f8000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libldap.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/libldap.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/libldap.so.2", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/lib/libldap.so.2", O_RDONLY) = 3
read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\3206|\002"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=202972, ...}) = 0
old_mmap(NULL, 200020, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xc82000
old_mmap(0xcb2000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x30000) = 0xcb2000
close(3)                                = 0
open("/usr/X11R6/lib/tls/liblber.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/liblber.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/liblber.so.2", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/lib/liblber.so.2", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\224"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=48528, ...}) = 0
old_mmap(NULL, 46160, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x7aa000
old_mmap(0x7b5000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0xb000) = 0x7b5000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("/usr/X11R6/lib/modules/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/lib/tls/libc.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\333"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1459344, ...}) = 0
old_mmap(NULL, 1162188, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x271000
old_mmap(0x387000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x116000) = 0x387000
old_mmap(0x38b000, 7116, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x38b000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libsasl2.so.2", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/libsasl2.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/libsasl2.so.2", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/lib/libsasl2.so.2", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@pr\000"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=82416, ...}) = 0
old_mmap(NULL, 83900, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x139000
old_mmap(0x14d000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x13000) = 0x14d000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libssl.so.4", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/libssl.so.4", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("/usr/X11R6/lib/modules/libssl.so.4", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/lib/libssl.so.4", O_RDONLY)      = 3
read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20061\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=213596, ...}) = 0
old_mmap(NULL, 212640, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x53d000
old_mmap(0x56e000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0x31000) = 0x56e000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6fea000
open("/usr/X11R6/lib/tls/libcrypto.so.4", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/X11R6/lib/libcrypto.so.4", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/modules/libcrypto.so.4", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/lib/libcrypto.so.4", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000Y\31"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=973340, ...}) = 0
old_mmap(NULL, 985432, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x571000
old_mmap(0x64d000, 69632, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0xdc000) = 0x64d000
old_mmap(0x65e000, 14680, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x65e000
close(3)                                = 0
open("/usr/X11R6/lib/tls/libz.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/usr/X11R6/lib/libz.so.1", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("/usr/X11R6/lib/modules/libz.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/lib/libz.so.1", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\325"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=65416, ...}) = 0
old_mmap(NULL, 66916, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x950000
old_mmap(0x960000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0xf000) = 0x960000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6fe9000
mprotect(0x387000, 4096, PROT_READ)     = 0
mprotect(0x1b4000, 4096, PROT_READ)     = 0
mprotect(0x135000, 4096, PROT_READ)     = 0
mprotect(0x6bb000, 4096, PROT_READ)     = 0
mprotect(0xfa6000, 4096, PROT_READ)     = 0
set_thread_area({entry_number:-1 -> 6, base_addr:0xf6fe92a0,
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limi
t_in_pages:1, seg_not_present:0, useable:1}) = 0
munmap(0xf6fed000, 74124)               = 0
brk(0)                                  = 0x92f0000
brk(0x9311000)                          = 0x9311000
brk(0)                                  = 0x9311000
stat64("/etc/samba/smb.conf", {st_mode=S_IFREG|0644, st_size=10687,
...}) = 0
uname({sys="Linux", node="aweeks-laptop", ...}) = 0
open("/etc/samba/smb.conf", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=10687, ...}) = 0
read(3, "# This is the main Samba configu"..., 10687) = 10687
close(3)                                = 0
open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=1086, ...}) = 0
mmap2(NULL, 1086, PROT_READ, MAP_SHARED, 3, 0) = 0xf6fff000
close(3)                                = 0
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=40283424, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6de9000
close(3)                                = 0
open("/usr/lib/samba/charset/CP850.so", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\4\0"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=4452, ...}) = 0
old_mmap(NULL, 7388, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xbfa000
old_mmap(0xbfb000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED,
3, 0) = 0xbfb000
close(3)                                = 0
writev(2, [{"smbmount", 8}, {": ", 2}, {"error while loading shared
libra"..., 36}, {": ", 2}, {"/usr/lib/samba/charset/CP8
50.so", 31}, {": ", 2}, {"undefined symbol: smb_register_c"..., 38},
{"", 0}, {"", 0}, {"\n", 1}], 10smbmount: error while
loading shared libraries: /usr/lib/samba/charset/CP850.so: undefined
symbol: smb_register_charset
) = 120
exit_group(127)                         = ?
Comment 1 Jay Fenlason 2004-11-30 11:11:00 EST
This appears to be fixed in samba-3.0.9-1.fc2, which finally got released 
yesterday.  Can you test, and close this bug if an upgrade to 3.0.9-1.fc2 
fixes it? 
Comment 2 Jay Fenlason 2005-10-24 14:20:17 EDT
No reply in a long time.  Closing. 

Note You need to log in before you can comment on or make changes to this bug.